diff -Naur a/debian/rules b/debian/rules
--- a/debian/rules	2014-10-23 08:18:33.000000000 -0400
+++ b/debian/rules	2014-10-23 08:38:16.569668294 -0400
@@ -1227,7 +1227,22 @@
 	$(MAKE) -C builddir-$(TARGET) $(NJOBS) CFLAGS="$(CFLAGS)" LDFLAGS="-all-static"
 	touch $@
 
-install-static-cross-stamp: build-static-cross-stamp install-cross-stamp
+install-static-cross-stamp: build-static-cross-stamp
+	$(checkdir)
+	test "" != "$(TARGET)"
+	rm -rf $(d_cross)
+	$(MAKE) -C builddir-$(TARGET) prefix=$(pwd)/$(d_cross)/$(PF) \
+		mandir=$(pwd)/$(d_cross)/$(PF)/share/man install
+	rm -rf $(d_cross)/$(PF)/lib* $(d_cross)/$(PF)/info $(d_cross)/$(PF)/share/locale
+
+	$(call strip_static_package, $(p_cross), $(d_cross),$(DEB_HOST_GNU_TYPE)/$(TARGET))
+	chmod ugo-x $(d_cross)/$(PF)/$(DEB_HOST_GNU_TYPE)/$(TARGET)/lib/*.a
+
+	: # Get rid of .la files since libtool obviously has no idea about transient paths
+	rm -f $(d_cross)/$(PF)/$(DEB_HOST_GNU_TYPE)/$(TARGET)/lib/*.la
+
+	gzip -9 $(d_cross)/$(PF)/share/man/man1/*
+	touch $@
 
 binary-cross: 
 	@echo "Please use dpkg-buildpackage instead of calling binary-cross directly; see README.cross"
@@ -1251,9 +1266,20 @@
 	$(STRIP) --strip-unneeded $2/$(PF)/$3/lib/libopcodes-*so
 	$(STRIP) $$(file $2/$(PF)/bin/* |awk -F: '$$0 !~ /script/ {print $$1}')
 endef
+define strip_static_package
+	: # Strip shared libraries
+	if which pkg_create_dbgsym >/dev/null 2>&1; then \
+	  pkg_create_dbgsym $1 $2; \
+	fi
+	$(STRIP) --strip-unneeded $2/$(PF)/$3/lib/libbfd*.a
+	$(STRIP) --strip-unneeded $2/$(PF)/$3/lib/libopcodes*.a
+	$(STRIP) $$(file $2/$(PF)/bin/* |awk -F: '$$0 !~ /script/ {print $$1}')
+endef
 else
 define strip_package
 endef
+define strip_static_package
+endef
 endif
 
 remove-gfdl-files:
